Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkInputPort Class Reference

`#include <vtkInputPort.h>`

Inheritance diagram for vtkInputPort:

[legend]
Collaboration diagram for vtkInputPort:

[legend]
List of all members.

## Detailed Description

Receives data from another process.

Date:
  2002/05/17 01:50:34

Revision:
  1.8

InputPort connects the pipeline in this process to one in another processes. It communicates all the pipeline protocol so that the fact you are running in multiple processes is transparent. An input port is used as a source (input to a process). One is placed at the start of a pipeline, and has a single corresponding output port in another process (specified by RemoteProcessId).

See also:
  vtkOutputPort vtkMultiProcessController

Events:
  vtkCommand::StartEvent vtkCommand::EndEvent

Created by:
  - Geveci, Berk

CVS contributions (if > 5%):
  - Geveci, Berk (94%)

CVS logs (CVSweb):
  - .`h` (`/Parallel/vtkInputPort.h)`
  - .`cxx` (`/Parallel/vtkInputPort.cxx)`

Examples:
  vtkInputPort (Examples)

Tests:
  vtkInputPort (Tests)

Definition at line 66 of file vtkInputPort.h.

## Public Types
typedef vtkSource | Superclass
enum | Tags { DOWN_DATA_TIME_TAG = 98970, UPDATE_EXTENT_TAG = 98971, TRANSFER_NEEDED_TAG = 98972, INFORMATION_TRANSFER_TAG = 98973, DATA_TRANSFER_TAG = 98974, NEW_DATA_TIME_TAG = 98975 }
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | UpdateInformation ()
void | PropagateUpdateExtent (vtkDataObject *vtkNotUsed(output))
void | UpdateData (vtkDataObject *out)
void | TriggerAsynchronousUpdate ()
vtkPolyData * | GetPolyDataOutput ()
vtkUnstructuredGrid * | GetUnstructuredGridOutput ()
vtkStructuredGrid * | GetStructuredGridOutput ()
vtkRectilinearGrid * | GetRectilinearGridOutput ()
vtkStructuredPoints * | GetStructuredPointsOutput ()
vtkImageData * | GetImageDataOutput ()
virtual void | SetRemoteProcessId (int)
virtual int | GetRemoteProcessId ()
virtual void | SetTag (int)
virtual int | GetTag ()
vtkMultiProcessController * | GetController ()
virtual void | SetController (vtkMultiProcessController *)
virtual void | SetDoUpdateInformation (int)
virtual int | GetDoUpdateInformation ()
## Static Public Methods
vtkInputPort * | New ()
int | IsTypeOf (const char *type)
vtkInputPort * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkInputPort ()
| ~vtkInputPort ()
## Protected Attributes
vtkMultiProcessController * | Controller
int | RemoteProcessId
int | Tag
unsigned long | DataTime
unsigned long | UpStreamMTime
int | TransferNeeded
int | DoUpdateInformation

## Member Typedef Documentation

typedef vtkSource vtkInputPort::Superclass

| Reimplemented from vtkSource. Definition at line 70 of file vtkInputPort.h.

## Member Enumeration Documentation

enum vtkInputPort::Tags

  | Enumeration values:
  DOWN_DATA_TIME_TAG |
  UPDATE_EXTENT_TAG |
  TRANSFER_NEEDED_TAG |
  INFORMATION_TRANSFER_TAG |
  DATA_TRANSFER_TAG |
  NEW_DATA_TIME_TAG |
Definition at line 128 of file vtkInputPort.h.

## Constructor & Destructor Documentation

vtkInputPort::vtkInputPort | ( |  | ) | `[protected]`

vtkInputPort::~vtkInputPort | ( |  | ) | `[protected]`

## Member Function Documentation

vtkInputPort* vtkInputPort::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkInputPort::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkSource.

int vtkInputPort::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource.

virtual int vtkInputPort::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource.

vtkInputPort* vtkInputPort::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkSource.

void vtkInputPort::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkSource.

vtkPolyData* vtkInputPort::GetPolyDataOutput | ( |  | ) |

| Note: You have to ask for the right type, and it has to match the type of the up stream port input, or you will get an error. We have to live with the fact that the error will not occur until an update is called.

vtkUnstructuredGrid* vtkInputPort::GetUnstructuredGridOutput | ( |  | ) |

| Note: You have to ask for the right type, and it has to match the type of the up stream port input, or you will get an error. We have to live with the fact that the error will not occur until an update is called.

vtkStructuredGrid* vtkInputPort::GetStructuredGridOutput | ( |  | ) |

| Note: You have to ask for the right type, and it has to match the type of the up stream port input, or you will get an error. We have to live with the fact that the error will not occur until an update is called.

vtkRectilinearGrid* vtkInputPort::GetRectilinearGridOutput | ( |  | ) |

| Note: You have to ask for the right type, and it has to match the type of the up stream port input, or you will get an error. We have to live with the fact that the error will not occur until an update is called.

vtkStructuredPoints* vtkInputPort::GetStructuredPointsOutput | ( |  | ) |

| Note: You have to ask for the right type, and it has to match the type of the up stream port input, or you will get an error. We have to live with the fact that the error will not occur until an update is called.

vtkImageData* vtkInputPort::GetImageDataOutput | ( |  | ) |

| Note: You have to ask for the right type, and it has to match the type of the up stream port input, or you will get an error. We have to live with the fact that the error will not occur until an update is called.

virtual void vtkInputPort::SetRemoteProcessId | ( | int |  | ) | `[virtual]`

| The matching OutputPort is specified by the output port's process and a tag. There can be more than one output port per process. THE TAG MUST BE EVEN BECAUSE TWO RMIs ARE CREATED FROM IT!!!

virtual int vtkInputPort::GetRemoteProcessId | ( |  | ) | `[virtual]`

| The matching OutputPort is specified by the output port's process and a tag. There can be more than one output port per process. THE TAG MUST BE EVEN BECAUSE TWO RMIs ARE CREATED FROM IT!!!

virtual void vtkInputPort::SetTag | ( | int |  | ) | `[virtual]`

| The matching OutputPort is specified by the output port's process and a tag. There can be more than one output port per process. THE TAG MUST BE EVEN BECAUSE TWO RMIs ARE CREATED FROM IT!!!

virtual int vtkInputPort::GetTag | ( |  | ) | `[virtual]`

| The matching OutputPort is specified by the output port's process and a tag. There can be more than one output port per process. THE TAG MUST BE EVEN BECAUSE TWO RMIs ARE CREATED FROM IT!!!

void vtkInputPort::UpdateInformation | ( |  | ) | `[virtual]`

| Need to override to propagate across port. Reimplemented from vtkSource.

void vtkInputPort::PropagateUpdateExtent | ( | vtkDataObject * | vtkNotUsed(output) | ) | `[inline]`

| Need to override to propagate across port. Definition at line 100 of file vtkInputPort.h.

void vtkInputPort::UpdateData | ( | vtkDataObject * | out | ) | `[virtual]`

| Need to override to propagate across port Reimplemented from vtkSource.

void vtkInputPort::TriggerAsynchronousUpdate | ( |  | ) | `[virtual]`

| Need to override to trigger the update across the port Reimplemented from vtkSource.

vtkMultiProcessController* vtkInputPort::GetController | ( |  | ) | `[inline]`

| Access to the controller used for communication. By default, the global controller is used. Definition at line 111 of file vtkInputPort.h.

virtual void vtkInputPort::SetController | ( | vtkMultiProcessController * |  | ) | `[virtual]`

| Access to the controller used for communication. By default, the global controller is used.

virtual void vtkInputPort::SetDoUpdateInformation | ( | int |  | ) | `[virtual]`

| If DoUpdateInformation if false (it is true by default), UpdateInformation is not performed during Update. This can be used to avoid unnecessary communication once the data has been transferred. However, if the pipeline changes upstream, DoUpdateInformation has to be set to true again. Otherwise, Updata will not occur.

virtual int vtkInputPort::GetDoUpdateInformation | ( |  | ) | `[virtual]`

| If DoUpdateInformation if false (it is true by default), UpdateInformation is not performed during Update. This can be used to avoid unnecessary communication once the data has been transferred. However, if the pipeline changes upstream, DoUpdateInformation has to be set to true again. Otherwise, Updata will not occur.

## Member Data Documentation

vtkMultiProcessController* vtkInputPort::Controller`[protected]`

| Definition at line 143 of file vtkInputPort.h.

int vtkInputPort::RemoteProcessId`[protected]`

| Definition at line 144 of file vtkInputPort.h.

int vtkInputPort::Tag`[protected]`

| Definition at line 145 of file vtkInputPort.h.

unsigned long vtkInputPort::DataTime`[protected]`

| Definition at line 147 of file vtkInputPort.h.

unsigned long vtkInputPort::UpStreamMTime`[protected]`

| Definition at line 148 of file vtkInputPort.h.

int vtkInputPort::TransferNeeded`[protected]`

| Definition at line 149 of file vtkInputPort.h.

int vtkInputPort::DoUpdateInformation`[protected]`

| Definition at line 150 of file vtkInputPort.h.

The documentation for this class was generated from the following file:

- Parallel/vtkInputPort.h